### Method

# Fwupd Request set_device_id

since: 1.6.2

#### Declaration [src]

    void
    fwupd_request_set_device_id (
      FwupdRequest* self,
      const gchar* device_id
    )

#### Description [src]

Sets the device_id that created the request.

Available since: 1.6.2

Sets property | `Fwupd.Request:device-id`

#### Parameters

`device_id`

  Type: `const gchar*`

  The device_id, e.g. `colorhug`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.